Web lists-archives.com

Bug#880926: RFH: linphone -- SIP softphone - graphical client




Package: wnpp
Severity: normal

Hi,

although I'm not the maintainer of the current linphone package (and not
a user anyway), I'm asking for help on behalf of the pkg-voip team.

linphone in Debian is in a pretty bad shape, it has not seen an upstream
release packaged for four years.

There have been a couple of attempts to revive packaging of a current
linphone [1][2][3], but all of them have somewhat stalled.

The dependency stack is quite large and tightly coupled. Part of it is
already in Debian, part is in NEW, most of the updated packages are
already in the pkg-voip git repo. Most of them need minor updates to
build with gcc-7. I've written about the current status here [4]

Upstream is now switching away from the GTK2+ GUI client bundled in
src:linphone towards a Qt5-based linphone-desktop, which needs to be
packaged as well.

linphone needs at least one Developer (or maintainer, I can sponsor 
the uploads if necessary) to take care of this reliably.

Best Regards,
Bernhard

[1] https://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2016-November/029603.html
[2] http://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2016-December/029963.html
[3] http://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2017-April/030495.html
[4] http://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2017-October/031389.html